# My Business Account Management API

The My Business Account Management API provides an interface for managing access to a location on Google.  

Note - If you have a quota of 0 after enabling the API, please [request](https://developers.google.com/my-business/content/prereqs#request-access) for GBP API access.

- [REST Resource: v1.accounts](https://developers.google.com/my-business/reference/accountmanagement/rest#v1.accounts)
- [REST Resource: v1.accounts.admins](https://developers.google.com/my-business/reference/accountmanagement/rest#v1.accounts.admins)
- [REST Resource: v1.accounts.invitations](https://developers.google.com/my-business/reference/accountmanagement/rest#v1.accounts.invitations)
- [REST Resource: v1.locations](https://developers.google.com/my-business/reference/accountmanagement/rest#v1.locations)
- [REST Resource: v1.locations.admins](https://developers.google.com/my-business/reference/accountmanagement/rest#v1.locations.admins)

## Service: mybusinessaccountmanagement.googleapis.com

To call this service, we recommend that you use the Google-provided [client libraries](https://cloud.google.com/apis/docs/client-libraries-explained). If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

### Discovery document

A [Discovery Document](https://developers.google.com/discovery/v1/reference/apis) is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:

- <https://mybusinessaccountmanagement.googleapis.com/$discovery/rest?version=v1>

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary#api_service_endpoint) is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

- `https://mybusinessaccountmanagement.googleapis.com`

## REST Resource: [v1.accounts](https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts)

| Methods ||
|---|---|
| `https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts/create` | `POST /v1/accounts` Creates an account with the specified name and type under the given parent. |
| `https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts/get` | `GET /v1/{name=accounts/*}` Gets the specified account. |
| `https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts/list` | `GET /v1/accounts` Lists all of the accounts for the authenticated user. |
| `https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts/patch` | `PATCH /v1/{account.name=accounts/*}` Updates the specified business account. |

## REST Resource: [v1.accounts.admins](https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts.admins)

| Methods ||
|---|---|
| `https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts.admins/create` | `POST /v1/{parent=accounts/*}/admins` Invites the specified user to become an administrator for the specified account. |
| `https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts.admins/delete` | `DELETE /v1/{name=accounts/*/admins/*}` Removes the specified admin from the specified account. |
| `https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts.admins/list` | `GET /v1/{parent=accounts/*}/admins` Lists the admins for the specified account. |
| `https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts.admins/patch` | `PATCH /v1/{accountAdmin.name=accounts/*/admins/*}` Updates the Admin for the specified Account Admin. |

## REST Resource: [v1.accounts.invitations](https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts.invitations)

| Methods ||
|---|---|
| `https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts.invitations/accept` | `POST /v1/{name=accounts/*/invitations/*}:accept` Accepts the specified invitation. |
| `https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts.invitations/decline` | `POST /v1/{name=accounts/*/invitations/*}:decline` Declines the specified invitation. |
| `https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts.invitations/list` | `GET /v1/{parent=accounts/*}/invitations` Lists pending invitations for the specified account. |

## REST Resource: [v1.locations](https://developers.google.com/my-business/reference/accountmanagement/rest/v1/locations)

| Methods ||
|---|---|
| `https://developers.google.com/my-business/reference/accountmanagement/rest/v1/locations/transfer` | `POST /v1/{name=locations/*}:transfer` Moves a location from an account that the user owns to another account that the same user administers. |

## REST Resource: [v1.locations.admins](https://developers.google.com/my-business/reference/accountmanagement/rest/v1/locations.admins)

| Methods ||
|---|---|
| `https://developers.google.com/my-business/reference/accountmanagement/rest/v1/locations.admins/create` | `POST /v1/{parent=locations/*}/admins` Invites the specified user to become an administrator for the specified location. |
| `https://developers.google.com/my-business/reference/accountmanagement/rest/v1/locations.admins/delete` | `DELETE /v1/{name=locations/*/admins/*}` Removes the specified admin as a manager of the specified location. |
| `https://developers.google.com/my-business/reference/accountmanagement/rest/v1/locations.admins/list` | `GET /v1/{parent=locations/*}/admins` Lists all of the admins for the specified location. |
| `https://developers.google.com/my-business/reference/accountmanagement/rest/v1/locations.admins/patch` | `PATCH /v1/{locationAdmin.name=locations/*/admins/*}` Updates the Admin for the specified location. |